"use client";
import { Input } from "~/components/ui/input";
import { addCountry } from "~/server/actions/createCountry";
import SubmitButton from "../SubmitButton";
import { useRef } from "react";
import {
  Select,
  SelectContent,
  SelectItem,
  SelectTrigger,
  SelectValue,
} from "~/components/ui/select";

export default function CreateCountryForm() {
  const ref = useRef<HTMLFormElement>(null);
  const handleSubmit = async (formData: FormData) => {
    ref.current?.reset();
    await addCountry(formData);
  };
  return (
    <form ref={ref} action={handleSubmit}>
      <Input name="name" required />
      <Select>
        <SelectTrigger className="w-[180px]">
          <SelectValue placeholder="Wine type" />
        </SelectTrigger>
        <SelectContent>
          <SelectItem value="light">Light</SelectItem>
        </SelectContent>
      </Select>
      <SubmitButton />
    </form>
  );
}
