"use server";

import { revalidatePath } from "next/cache";
import { db } from "../db";
import { regions } from "../db/schema";
import { z } from "zod";

type NewRegion = {
  name: string;
  countryId: string;
};

const schema = z.object({
  countryId: z.string(),
  name: z.string().min(1, "Name is required"),
});

export const addRegion = async (formData: FormData) => {
  const newRegion: NewRegion = {
    name: (formData.get("name") as string).toLowerCase(),
    countryId: formData.get("country") as string,
  };
  revalidatePath("/");
  await db.insert(regions).values(newRegion).returning();
  return {
    message: message,
    errors: error,
    status: 200,
  };
};
